import {Injectable} from '@angular/core';
import {ApiService} from "../../shared/service/api.service";
import {Observable} from "rxjs";

@Injectable({
  providedIn: 'root'
})
export class RecipeImageService {
  constructor(
    private api: ApiService
  ) {
  }

  getAllIdsForRecipe(recipeId: number): Observable<number[]> {
    return this.api.get(`/recipe/${recipeId}/image`)
  }

  save(image: File, recipeId: number): Observable<void> {
    const body = new FormData()
    body.append('image', image)
    return this.api.post<void>(`/recipe/${recipeId}/image`, body, true)
  }

  deleteAll(imageIds: number[], recipeId: number) {
    imageIds.forEach(id => this.delete(id, recipeId))
  }

  delete(imageId: number, recipeId: number): Observable<void> {
    return this.api.delete<void>(`/recipe/${recipeId}/image/${imageId}`)
  }
}

