import {RouterModule, Routes} from "@angular/router";
import {ListComponent} from "./pages/list/list.component";
import {NgModule} from "@angular/core";
import {AddComponent} from "./pages/add/add.component";
import {EditComponent} from "./pages/edit/edit.component";

const routes: Routes = [{
  path: 'list',
  component: ListComponent
}, {
  path: 'add',
  component: AddComponent
}, {
  path: 'edit/:id',
  component: EditComponent
}, {
  path: '',
  pathMatch: 'full',
  redirectTo: 'list'
}]

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class CompanyRoutingModule {
}
